/*------------
  border.h
  ------------*/

#ifndef Ok
#define Ok 1
#define Yes 1
#define No 0
#endif

#ifndef __BORDER__
#define __BORDER__

#include "line.h"

const step = 1;
const big_step = 10;

class BORDER
{ private:
  //---------------------------------------------------------
  int x0;  // \
  int y0;  //   \ current positions
  int x1;  //   /
  int y1;  // /
  int mx0;  // \
  int my0;  //   \ frontiers
  int mx1;  //   /
  int my1;  // /
  VER_LINE * left;
  VER_LINE * right;
  HOR_LINE * top;
  HOR_LINE * bottom;
  //---------------------------------------------------------

  public:
  //---------------------------------------------------------
  BORDER( int xx0, int yy0, int xx1, int yy1 );
  ~BORDER(void);
  int is_x0(void) const  { return x0; }
  int is_y0(void) const  { return y0; }
  int is_x1(void) const  { return x1; }
  int is_y1(void) const  { return y1; }
  int set_frontiers( int mmx0, int mmy0, int mmx1, int mmy1 );
  int show(void);
  int hide(void);
  int work(void) ;
  //---------------------------------------------------------
};

#endif
