/*------------
  region.h
  ------------*/

#ifndef Ok
#define Ok 1
#define Yes 1
#define No 0
#endif

#ifndef __REGION__
#define __REGION__

class REGION
{
  private:
    //-----------------------------------------------------
    char saved;
    void far * bitmap;
    //-----------------------------------------------------

  protected:
    //-----------------------------------------------------
    int x0;
    int y0;
    int x1;
    int y1;
    REGION(int xx0, int yy0, int xx1, int yy1);
    virtual ~REGION(void);
    //-----------------------------------------------------

  public:
    //-----------------------------------------------------
    virtual int init(void);
    virtual int show(void);
    virtual int hide(void);
    virtual int show_inherited(void) = 0;
    virtual int show_based(void);
    virtual int work(void);
    virtual int move   (int xx, int yy);
    virtual int move_to(int xx, int yy);
    //-----------------------------------------------------

};

#endif
