/*------------
  panel.h
  ------------*/

#ifndef Ok
#define Ok 1
#define Yes 1
#define No 0
#endif

#ifndef __PANEL__
#define __PANEL__

#include "mandelbr.h"

class PANEL
{ friend class EXPLORER;
  private:
    MANDELBROT & mb;
    int left;
    PANEL( MANDELBROT & __mb );
    enum ITEM { MAIN, EDIT, METHOD, SIZE, ITERATIONS };
    int show(ITEM what);
    void put( char * s, int row, int col = 1);
};

#endif
